Bug 309061 - Digikam crash when moving tag
Summary: Digikam crash when moving tag
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Tags-Engine (show other bugs)
Version: 2.9.0
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-26 19:21 UTC by Oldřich Jedlička
Modified: 2013-11-10 21:04 UTC (History)
10 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.0.0


Attachments
New crash information added by DrKonqi (35.20 KB, text/plain)
2013-02-20 12:15 UTC, againsttcpa84
Details
New crash information added by DrKonqi (20.00 KB, text/plain)
2013-05-25 23:32 UTC, graphius
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oldřich Jedlička 2012-10-26 19:21:13 UTC
Application: digikam (2.9.0)
KDE Platform Version: 4.9.2 (Compiled from sources)
Qt Version: 4.8.3
Operating System: Linux 3.7.0-rc2 i686
Distribution (Platform): Gentoo Packages

-- Information about the crash:
- What I was doing when the application crashed:

I created a new tag (in the Filter) and tried to move an already existing tag below the new one using drag&drop. Digikam crashed when I dropped the old tag onto the new tag.

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
[Current thread is 1 (Thread 0xad4079c0 (LWP 19661))]

Thread 6 (Thread 0xac497b40 (LWP 19663)):
#0  0xb77eb424 in __kernel_vsyscall ()
#1  0xb408b43c in pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb4737cb1 in __pthread_cond_wait (cond=0x91e4f28, mutex=0x91e4f10) at forward.c:139
#3  0xb4a0e47d in wait (time=4294967295, this=0x91e4f10) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0x91e4e7c, mutex=0x91e4e78, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x081f7e07 in Digikam::ScanController::run (this=0x917f1c0) at /mnt/data/tmp/portage/media-gfx/digikam-2.9.0/work/digikam-2.9.0/core/digikam/database/scancontroller.cpp:698
#6  0xb4a0de45 in QThreadPrivate::start (arg=0x917f1c0) at thread/qthread_unix.cpp:338
#7  0xb4087b56 in start_thread (arg=0xac497b40) at pthread_create.c:305
#8  0xb472b97e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 5 (Thread 0xabaffb40 (LWP 19664)):
#0  0xb408a8f6 in __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:77
#1  0xb4737ee6 in pthread_mutex_unlock (mutex=0xab100550) at forward.c:184
#2  0xb2a8a960 in g_mutex_unlock (mutex=0xab1004e0) at gthread-posix.c:227
#3  0xb2a4a52f in g_main_context_iterate (dispatch=1, block=1, context=0xab1004e0, self=<optimized out>) at gmain.c:3124
#4  g_main_context_iterate (context=0xab1004e0, block=1, dispatch=1, self=<optimized out>) at gmain.c:3083
#5  0xb2a4a791 in g_main_context_iteration (context=0xab1004e0, may_block=1) at gmain.c:3207
#6  0xb4b53b75 in QEventDispatcherGlib::processEvents (this=0xab100468, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0xb4b1f784 in QEventLoop::processEvents (this=0xabaff1d0, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4b1f9e8 in QEventLoop::exec (this=0xabaff1d0, flags=...) at kernel/qeventloop.cpp:204
#9  0xb4a0af5d in QThread::exec (this=0x91df630) at thread/qthread.cpp:501
#10 0xb4afc438 in QInotifyFileSystemWatcherEngine::run (this=0x91df630) at io/qfilesystemwatcher_inotify.cpp:248
#11 0xb4a0de45 in QThreadPrivate::start (arg=0x91df630) at thread/qthread_unix.cpp:338
#12 0xb4087b56 in start_thread (arg=0xabaffb40) at pthread_create.c:305
#13 0xb472b97e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 4 (Thread 0xab0ffb40 (LWP 19673)):
#0  0xb77eb424 in __kernel_vsyscall ()
#1  0xb408b43c in pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb4737cb1 in __pthread_cond_wait (cond=0x90d4380, mutex=0x90d4368) at forward.c:139
#3  0xb4a0e47d in wait (time=4294967295, this=0x90d4368) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0x92b6f10, mutex=0x92b6f0c, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb6ab9f90 in Digikam::ParkingThread::run (this=0x92b6f00) at /mnt/data/tmp/portage/media-gfx/digikam-2.9.0/work/digikam-2.9.0/core/libs/threads/threadmanager.cpp:119
#6  0xb4a0de45 in QThreadPrivate::start (arg=0x92b6f00) at thread/qthread_unix.cpp:338
#7  0xb4087b56 in start_thread (arg=0xab0ffb40) at pthread_create.c:305
#8  0xb472b97e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 3 (Thread 0xa0adbb40 (LWP 19797)):
#0  g_main_context_prepare (context=0xab115908, priority=0xa0adb0a8) at gmain.c:2860
#1  0xb2a4a53f in g_main_context_iterate (dispatch=1, block=1, context=0xab115908, self=<optimized out>) at gmain.c:3126
#2  g_main_context_iterate (context=0xab115908, block=1, dispatch=1, self=<optimized out>) at gmain.c:3083
#3  0xb2a4a791 in g_main_context_iteration (context=0xab115908, may_block=1) at gmain.c:3207
#4  0xb4b53b75 in QEventDispatcherGlib::processEvents (this=0xab125570, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0xb4b1f784 in QEventLoop::processEvents (this=0xa0adb1e0, flags=...) at kernel/qeventloop.cpp:149
#6  0xb4b1f9e8 in QEventLoop::exec (this=0xa0adb1e0, flags=...) at kernel/qeventloop.cpp:204
#7  0xb6ab957d in Digikam::WorkerObjectRunnable::run (this=0xa766db0) at /mnt/data/tmp/portage/media-gfx/digikam-2.9.0/work/digikam-2.9.0/core/libs/threads/threadmanager.cpp:196
#8  0xb4a0170a in QThreadPoolThread::run (this=0xb2d93c0) at concurrent/qthreadpool.cpp:107
#9  0xb4a0de45 in QThreadPrivate::start (arg=0xb2d93c0) at thread/qthread_unix.cpp:338
#10 0xb4087b56 in start_thread (arg=0xa0adbb40) at pthread_create.c:305
#11 0xb472b97e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 2 (Thread 0x9d63eb40 (LWP 21709)):
#0  0xb28dd3ad in __GI_clock_gettime (clock_id=1, tp=0x9d63df48) at ../sysdeps/unix/clock_gettime.c:100
#1  0xb4a6c23f in do_gettime (frac=0x9d63df40, sec=0x9d63df38) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb4b545ab in QTimerInfoList::updateCurrentTime (this=0xbb74e44) at kernel/qeventdispatcher_unix.cpp:343
#4  0xb4b5492a in QTimerInfoList::timerWait (this=0xbb74e44, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#5  0xb4b530bd in timerSourcePrepareHelper (src=<optimized out>, timeout=0x9d63e04c) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb4b53145 in timerSourcePrepare (source=0xbb74e10, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb2a49df2 in g_main_context_prepare (context=0xb9e6238, priority=0x9d63e0a8) at gmain.c:2836
#8  0xb2a4a53f in g_main_context_iterate (dispatch=1, block=1, context=0xb9e6238, self=<optimized out>) at gmain.c:3126
#9  g_main_context_iterate (context=0xb9e6238, block=1, dispatch=1, self=<optimized out>) at gmain.c:3083
#10 0xb2a4a791 in g_main_context_iteration (context=0xb9e6238, may_block=1) at gmain.c:3207
#11 0xb4b53b75 in QEventDispatcherGlib::processEvents (this=0xb1729b8, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#12 0xb4b1f784 in QEventLoop::processEvents (this=0x9d63e1e0, flags=...) at kernel/qeventloop.cpp:149
#13 0xb4b1f9e8 in QEventLoop::exec (this=0x9d63e1e0, flags=...) at kernel/qeventloop.cpp:204
#14 0xb6ab957d in Digikam::WorkerObjectRunnable::run (this=0xd06f700) at /mnt/data/tmp/portage/media-gfx/digikam-2.9.0/work/digikam-2.9.0/core/libs/threads/threadmanager.cpp:196
#15 0xb4a0170a in QThreadPoolThread::run (this=0xb0e2900) at concurrent/qthreadpool.cpp:107
#16 0xb4a0de45 in QThreadPrivate::start (arg=0xb0e2900) at thread/qthread_unix.cpp:338
#17 0xb4087b56 in start_thread (arg=0x9d63eb40) at pthread_create.c:305
#18 0xb472b97e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 1 (Thread 0xad4079c0 (LWP 19661)):
[KCrash Handler]
#7  0xb77eb424 in __kernel_vsyscall ()
#8  0xb4677a38 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#9  0xb4678f14 in __GI_abort () at abort.c:91
#10 0xb4a03253 in qt_message_output (msgType=QtFatalMsg, buf=0xe8576a0 "ASSERT: \"cm\" in file itemviews/qsortfilterproxymodel.cpp, line 935") at global/qglobal.cpp:2266
#11 0xb4a033d7 in qt_message (msgType=QtFatalMsg, msg=0xb4b8e5a8 "ASSERT: \"%s\" in file %s, line %d", ap=0xbf81bda4 "\354\347\206\265\344J\210\265\247\003") at global/qglobal.cpp:2312
#12 0xb4a034dd in qFatal (msg=0xb4b8e5a8 "ASSERT: \"%s\" in file %s, line %d") at global/qglobal.cpp:2495
#13 0xb4a0355a in qt_assert (assertion=0xb586e7ec "cm", file=0xb5884ae4 "itemviews/qsortfilterproxymodel.cpp", line=935) at global/qglobal.cpp:2013
#14 0xb57128c0 in QSortFilterProxyModelPrivate::updateChildrenMapping (this=0x9c334a0, source_parent=..., parent_mapping=0xb2b1c58, orient=Qt::Vertical, start=26, end=26, delta_item_count=1, remove=true) at itemviews/qsortfilterproxymodel.cpp:935
#15 0xb5712d54 in source_items_removed (orient=Qt::Vertical, end=26, start=26, source_parent=..., this=0x9c334a0) at itemviews/qsortfilterproxymodel.cpp:890
#16 QSortFilterProxyModelPrivate::source_items_removed (this=0x9c334a0, source_parent=..., start=26, end=26, orient=Qt::Vertical) at itemviews/qsortfilterproxymodel.cpp:848
#17 0xb5712f0f in QSortFilterProxyModelPrivate::_q_sourceRowsRemoved (this=0x9c334a0, source_parent=..., start=26, end=26) at itemviews/qsortfilterproxymodel.cpp:1298
#18 0xb4b3779c in QMetaObject::activate (sender=0x9c34b78, m=0x853edc0, local_signal_index=7, argv=0xbf81bfc0) at kernel/qobject.cpp:3547
#19 0xb4b8a01a in QAbstractItemModel::rowsRemoved (this=0x9c34b78, _t1=..., _t2=26, _t3=26) at .moc/debug-shared/moc_qabstractitemmodel.cpp:211
#20 0xb4b1acba in QAbstractItemModel::endRemoveRows (this=0x9c34b78) at kernel/qabstractitemmodel.cpp:2487
#21 0xb5711afa in QSortFilterProxyModelPrivate::remove_proxy_interval (this=0x9c34be0, source_to_proxy=..., proxy_to_source=..., proxy_start=26, proxy_end=26, proxy_parent=..., orient=Qt::Vertical, emit_signal=true) at itemviews/qsortfilterproxymodel.cpp:569
#22 0xb57170b8 in QSortFilterProxyModelPrivate::remove_source_items (this=0x9c34be0, source_to_proxy=..., proxy_to_source=..., source_items=..., source_parent=..., orient=Qt::Vertical, emit_signal=true) at itemviews/qsortfilterproxymodel.cpp:539
#23 0xb5718daf in QSortFilterProxyModelPrivate::source_items_about_to_be_removed (this=0x9c34be0, source_parent=..., start=26, end=26, orient=Qt::Vertical) at itemviews/qsortfilterproxymodel.cpp:840
#24 0xb5718e9b in QSortFilterProxyModelPrivate::_q_sourceRowsAboutToBeRemoved (this=0x9c34be0, source_parent=..., start=26, end=26) at itemviews/qsortfilterproxymodel.cpp:1291
#25 0xb4b3779c in QMetaObject::activate (sender=0x91b9190, m=0x853edc0, local_signal_index=6, argv=0xbf81c230) at kernel/qobject.cpp:3547
#26 0xb4b89fbe in QAbstractItemModel::rowsAboutToBeRemoved (this=0x91b9190, _t1=..., _t2=26, _t3=26) at .moc/debug-shared/moc_qabstractitemmodel.cpp:204
#27 0xb4b1a04b in QAbstractItemModel::beginRemoveRows (this=0x91b9190, parent=..., first=26, last=26) at kernel/qabstractitemmodel.cpp:2470
#28 0x08199216 in Digikam::AbstractAlbumModel::slotAlbumAboutToBeDeleted (this=0x91b9190, album=0xa3f9ec8) at /mnt/data/tmp/portage/media-gfx/digikam-2.9.0/work/digikam-2.9.0/core/libs/models/abstractalbummodel.cpp:480
#29 0xb4b3779c in QMetaObject::activate (sender=0x91c1a78, m=0x840b914, local_signal_index=2, argv=0xbf81c3b8) at kernel/qobject.cpp:3547
#30 0x081c45db in Digikam::AlbumManager::signalAlbumAboutToBeDeleted (this=0x91c1a78, _t1=0xa3f9ec8) at /mnt/data/tmp/portage/media-gfx/digikam-2.9.0/work/digikam-2.9.0_build/digikam/albummanager.moc:238
#31 0x081c6197 in Digikam::AlbumManager::moveTAlbum (this=0x91c1a78, album=0xa3f9ec8, newParent=0xbfdb628, errMsg=...) at /mnt/data/tmp/portage/media-gfx/digikam-2.9.0/work/digikam-2.9.0/core/digikam/album/albummanager.cpp:2436
#32 0x08217526 in Digikam::TagDragDropHandler::dropEvent (this=0xbf81c580, view=0x9c2d410, e=0xbf81c48c, droppedOn=...) at /mnt/data/tmp/portage/media-gfx/digikam-2.9.0/work/digikam-2.9.0/core/digikam/dragdrop/tagdragdrop.cpp:107
#33 0x081e7de4 in Digikam::AbstractAlbumTreeView::dropEvent (this=0x9c2d410, e=0xbf81ce50) at /mnt/data/tmp/portage/media-gfx/digikam-2.9.0/work/digikam-2.9.0/core/digikam/album/albumtreeview.cpp:668
#34 0xb5124e19 in QWidget::event (this=0x9c2d410, event=0xbf81ce50) at kernel/qwidget.cpp:8561
#35 0xb553af79 in QFrame::event (this=0x9c2d410, e=0xbf81ce50) at widgets/qframe.cpp:557
#36 0xb55ce3a8 in QAbstractScrollArea::viewportEvent (this=0x9c2d410, e=0xbf81ce50) at widgets/qabstractscrollarea.cpp:1043
#37 0xb5676bd7 in QAbstractItemView::viewportEvent (this=0x9c2d410, event=0xbf81ce50) at itemviews/qabstractitemview.cpp:1644
#38 0xb56c69d3 in QTreeView::viewportEvent (this=0x9c2d410, event=0xbf81ce50) at itemviews/qtreeview.cpp:1257
#39 0xb55d09a8 in viewportEvent (this=<optimized out>, event=0xbf81ce50) at widgets/qabstractscrollarea_p.h:100
#40 eventFilter (e=0xbf81ce50, this=<optimized out>, o=<optimized out>) at widgets/qabstractscrollarea_p.h:116
#41 QAbstractScrollAreaFilter::eventFilter (this=0x9c2e8c8, o=0x9c2d880, e=0xbf81ce50) at widgets/qabstractscrollarea_p.h:115
#42 0xb4b216d9 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x9080080, receiver=0x9c2d880, event=0xbf81ce50) at kernel/qcoreapplication.cpp:1025
#43 0xb50c865c in notify_helper (e=0xbf81ce50, receiver=0x9c2d880, this=0x9080080) at kernel/qapplication.cpp:4553
#44 QApplicationPrivate::notify_helper (this=0x9080080, receiver=0x9c2d880, e=0xbf81ce50) at kernel/qapplication.cpp:4529
#45 0xb50ced27 in QApplication::notify (this=0x9080080, receiver=0x9c2d880, e=0xbf81ce50) at kernel/qapplication.cpp:4343
#46 0xb5ce490e in KApplication::notify (this=0xbf81ef6c, receiver=0x9c2d880, event=0xbf81ce50) at /mnt/data/tmp/portage/kde-base/kdelibs-4.9.2/work/kdelibs-4.9.2/kdeui/kernel/kapplication.cpp:311
#47 0xb4b21501 in QCoreApplication::notifyInternal (this=0xbf81ef6c, receiver=0x9c2d880, event=0xbf81ce50) at kernel/qcoreapplication.cpp:915
#48 0xb5160188 in sendEvent (event=0xbf81ce50, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#49 QX11Data::xdndHandleDrop (this=0x9083060, xe=0xbf81cf18, passive=false) at kernel/qdnd_x11.cpp:1181
#50 0xb51612f0 in QDragManager::drop (this=0xc3fafb8) at kernel/qdnd_x11.cpp:1761
#51 0xb51646a9 in QDragManager::eventFilter (this=0xc3fafb8, o=0xaccb680, e=0xbf81d508) at kernel/qdnd_x11.cpp:1310
#52 0xb4b215f6 in QCoreApplicationPrivate::sendThroughApplicationEventFilters (this=0x9080080, receiver=0xaccb680, event=0xbf81d508) at kernel/qcoreapplication.cpp:1006
#53 0xb50c85f3 in QApplicationPrivate::notify_helper (this=0x9080080, receiver=0xaccb680, e=0xbf81d508) at kernel/qapplication.cpp:4532
#54 0xb50ceefc in QApplication::notify (this=0x9080080, receiver=0xaccb680, e=0xbf81d508) at kernel/qapplication.cpp:4100
#55 0xb5ce490e in KApplication::notify (this=0xbf81ef6c, receiver=0xaccb680, event=0xbf81d508) at /mnt/data/tmp/portage/kde-base/kdelibs-4.9.2/work/kdelibs-4.9.2/kdeui/kernel/kapplication.cpp:311
#56 0xb4b21501 in QCoreApplication::notifyInternal (this=0xbf81ef6c, receiver=0xaccb680, event=0xbf81d508) at kernel/qcoreapplication.cpp:915
#57 0xb50c9b8d in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#58 QApplicationPrivate::sendMouseEvent (receiver=0xaccb680, event=0xbf81d508, alienWidget=0x0, nativeWidget=0xaccb680, buttonDown=0xb5ae4d74, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3168
#59 0xb5155329 in QETWidget::translateMouseEvent (this=0xaccb680, event=0xbf81d8e0) at kernel/qapplication_x11.cpp:4507
#60 0xb5154289 in QApplication::x11ProcessEvent (this=0xbf81ef6c, event=0xbf81d8e0) at kernel/qapplication_x11.cpp:3630
#61 0xb517e97e in x11EventSourceDispatch (s=0x9080e68, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#62 0xb2a4a316 in g_main_dispatch (context=0x9081b10) at gmain.c:2539
#63 g_main_context_dispatch (context=0x9081b10) at gmain.c:3075
#64 0xb2a4a6b8 in g_main_context_iterate (dispatch=1, block=-1297776208, context=0x9081b10, self=<optimized out>) at gmain.c:3146
#65 g_main_context_iterate (context=0x9081b10, block=-1297776208, dispatch=1, self=<optimized out>) at gmain.c:3083
#66 0xb2a4a791 in g_main_context_iteration (context=0x9081b10, may_block=1) at gmain.c:3207
#67 0xb4b53b36 in QEventDispatcherGlib::processEvents (this=0x9033890, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#68 0xb517e5dd in QGuiEventDispatcherGlib::processEvents (this=0x9033890, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#69 0xb4b1f784 in QEventLoop::processEvents (this=0xb191c00, flags=...) at kernel/qeventloop.cpp:149
#70 0xb4b1f9e8 in QEventLoop::exec (this=0xb191c00, flags=...) at kernel/qeventloop.cpp:204
#71 0xb5164300 in QDragManager::drag (this=0xc3fafb8, o=0xcae9b48) at kernel/qdnd_x11.cpp:2028
#72 0xb50dc7ac in QDrag::exec (this=0xcae9b48, supportedActions=..., defaultDropAction=Qt::IgnoreAction) at kernel/qdrag.cpp:284
#73 0x081eb870 in Digikam::AbstractAlbumTreeView::startDrag (this=0x9c2d410, supportedActions=) at /mnt/data/tmp/portage/media-gfx/digikam-2.9.0/work/digikam-2.9.0/core/digikam/album/albumtreeview.cpp:600
#74 0xb56801b2 in QAbstractItemView::mouseMoveEvent (this=0x9c2d410, event=0xbf81ddf0) at itemviews/qabstractitemview.cpp:1725
#75 0xb56c4c1e in QTreeView::mouseMoveEvent (this=0x9c2d410, event=0xbf81e768) at itemviews/qtreeview.cpp:1917
#76 0xb5125484 in QWidget::event (this=0x9c2d410, event=0xbf81e768) at kernel/qwidget.cpp:8356
#77 0xb553af79 in QFrame::event (this=0x9c2d410, e=0xbf81e768) at widgets/qframe.cpp:557
#78 0xb55ce3a8 in QAbstractScrollArea::viewportEvent (this=0x9c2d410, e=0xbf81e768) at widgets/qabstractscrollarea.cpp:1043
#79 0xb5676bd7 in QAbstractItemView::viewportEvent (this=0x9c2d410, event=0xbf81e768) at itemviews/qabstractitemview.cpp:1644
#80 0xb56c69d3 in QTreeView::viewportEvent (this=0x9c2d410, event=0xbf81e768) at itemviews/qtreeview.cpp:1257
#81 0xb55d09a8 in viewportEvent (this=<optimized out>, event=0xbf81e768) at widgets/qabstractscrollarea_p.h:100
#82 eventFilter (e=0xbf81e768, this=<optimized out>, o=<optimized out>) at widgets/qabstractscrollarea_p.h:116
#83 QAbstractScrollAreaFilter::eventFilter (this=0x9c2e8c8, o=0x9c2d880, e=0xbf81e768) at widgets/qabstractscrollarea_p.h:115
#84 0xb4b216d9 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x9080080, receiver=0x9c2d880, event=0xbf81e768) at kernel/qcoreapplication.cpp:1025
#85 0xb50c865c in notify_helper (e=0xbf81e768, receiver=0x9c2d880, this=0x9080080) at kernel/qapplication.cpp:4553
#86 QApplicationPrivate::notify_helper (this=0x9080080, receiver=0x9c2d880, e=0xbf81e768) at kernel/qapplication.cpp:4529
#87 0xb50ceefc in QApplication::notify (this=0x9080080, receiver=0x9c2d880, e=0xbf81e768) at kernel/qapplication.cpp:4100
#88 0xb5ce490e in KApplication::notify (this=0xbf81ef6c, receiver=0x9c2d880, event=0xbf81e768) at /mnt/data/tmp/portage/kde-base/kdelibs-4.9.2/work/kdelibs-4.9.2/kdeui/kernel/kapplication.cpp:311
#89 0xb4b21501 in QCoreApplication::notifyInternal (this=0xbf81ef6c, receiver=0x9c2d880, event=0xbf81e768) at kernel/qcoreapplication.cpp:915
#90 0xb50c9b8d in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#91 QApplicationPrivate::sendMouseEvent (receiver=0x9c2d880, event=0xbf81e768, alienWidget=0x0, nativeWidget=0x9c2d880, buttonDown=0xb5ae4d74, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3168
#92 0xb5155329 in QETWidget::translateMouseEvent (this=0x9c2d880, event=0xbf81eb40) at kernel/qapplication_x11.cpp:4507
#93 0xb5154289 in QApplication::x11ProcessEvent (this=0xbf81ef6c, event=0xbf81eb40) at kernel/qapplication_x11.cpp:3630
#94 0xb517e97e in x11EventSourceDispatch (s=0x9080e68, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#95 0xb2a4a316 in g_main_dispatch (context=0x9081b10) at gmain.c:2539
#96 g_main_context_dispatch (context=0x9081b10) at gmain.c:3075
#97 0xb2a4a6b8 in g_main_context_iterate (dispatch=1, block=-1297776208, context=0x9081b10, self=<optimized out>) at gmain.c:3146
#98 g_main_context_iterate (context=0x9081b10, block=-1297776208, dispatch=1, self=<optimized out>) at gmain.c:3083
#99 0xb2a4a791 in g_main_context_iteration (context=0x9081b10, may_block=1) at gmain.c:3207
#100 0xb4b53b36 in QEventDispatcherGlib::processEvents (this=0x9033890, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#101 0xb517e5dd in QGuiEventDispatcherGlib::processEvents (this=0x9033890, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#102 0xb4b1f784 in QEventLoop::processEvents (this=0xbf81ee34, flags=...) at kernel/qeventloop.cpp:149
#103 0xb4b1f9e8 in QEventLoop::exec (this=0xbf81ee34, flags=...) at kernel/qeventloop.cpp:204
#104 0xb4b251e9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#105 0xb50c688f in QApplication::exec () at kernel/qapplication.cpp:3818
#106 0x082c872f in main (argc=) at /mnt/data/tmp/portage/media-gfx/digikam-2.9.0/work/digikam-2.9.0/core/digikam/main/main.cpp:232

Possible duplicates by query: bug 307621, bug 302243, bug 298008, bug 298006, bug 298005.

Reported using DrKonqi
Comment 1 Marcel Wiesweg 2012-10-26 21:41:06 UTC
Crash happens in the depths of QSortFilterProxyModel.
Is this reproducible?
Comment 2 Oldřich Jedlička 2012-10-29 20:08:54 UTC
Not reproducible. It maybe has something to do with tagging I did before. I tagged a lot of images (cca 600). I'm using tagging of selected items (maximum of cca 30 at the same time) as well as tagging a single image when I have multiple images selected or during single selection. For tagging I'm using drag&drop from the Filter only.
Comment 3 caulier.gilles 2012-11-16 09:40:25 UTC
*** Bug 310193 has been marked as a duplicate of this bug. ***
Comment 4 Oldřich Jedlička 2012-11-16 11:57:02 UTC
(In reply to comment #3)
> *** Bug 310193 has been marked as a duplicate of this bug. ***

I remember that I most probably had the moved tag selected in the filter, like in the bug 310193. But my operation was to move it, not to delete it.
Comment 5 caulier.gilles 2012-12-30 22:28:30 UTC
*** Bug 312372 has been marked as a duplicate of this bug. ***
Comment 6 caulier.gilles 2013-01-30 18:53:47 UTC
*** Bug 314152 has been marked as a duplicate of this bug. ***
Comment 7 caulier.gilles 2013-01-30 18:54:58 UTC
*** Bug 310950 has been marked as a duplicate of this bug. ***
Comment 8 againsttcpa84 2013-02-20 12:15:21 UTC
Created attachment 77455 [details]
New crash information added by DrKonqi

digikam (2.8.0) on KDE Platform 4.9.4 using Qt 4.8.3

- What I was doing when the application crashed:

I moved an existing sub-tag with ~100 entries to another sub-tag position with drag'n'drop. When I released the mouse-button digiKam crashed

-- Backtrace (Reduced):
#6  QSortFilterProxyModelPrivate::updateChildrenMapping (this=this@entry=0x30bc1a0, source_parent=..., parent_mapping=parent_mapping@entry=0x3b76950, orient=orient@entry=Qt::Vertical, start=start@entry=2, end=end@entry=2, delta_item_count=delta_item_count@entry=1, remove=remove@entry=true) at itemviews/qsortfilterproxymodel.cpp:948
#7  0x00007f3a511325c0 in source_items_removed (orient=Qt::Vertical, end=2, start=2, source_parent=..., this=<optimized out>) at itemviews/qsortfilterproxymodel.cpp:890
#8  QSortFilterProxyModelPrivate::source_items_removed (this=0x30bc1a0, source_parent=..., start=2, end=<optimized out>, orient=Qt::Vertical) at itemviews/qsortfilterproxymodel.cpp:848
[...]
#10 0x00007f3a50222c84 in QAbstractItemModel::rowsRemoved (this=<optimized out>, _t1=..., _t2=2, _t3=2) at .moc/release-shared/moc_qabstractitemmodel.cpp:211
#11 0x00007f3a501bcf0d in QAbstractItemModel::endRemoveRows (this=0x30be860) at kernel/qabstractitemmodel.cpp:2487
Comment 9 caulier.gilles 2013-03-28 09:11:27 UTC
*** Bug 317440 has been marked as a duplicate of this bug. ***
Comment 10 caulier.gilles 2013-03-29 14:38:06 UTC
*** Bug 317545 has been marked as a duplicate of this bug. ***
Comment 11 graphius 2013-05-25 23:32:45 UTC
Created attachment 80083 [details]
New crash information added by DrKonqi

digikam (2.8.0) on KDE Platform 4.9.5 using Qt 4.8.3

- What I was doing when the application crashed: dragged a tag to a different branch of the tag heirchy. Digikam crashed.

-- Backtrace (Reduced):
#6  QSortFilterProxyModelPrivate::updateChildrenMapping (this=this@entry=0x3d899f0, source_parent=..., parent_mapping=parent_mapping@entry=0x49f3f20, orient=orient@entry=Qt::Vertical, start=start@entry=33, end=end@entry=33, delta_item_count=delta_item_count@entry=1, remove=remove@entry=true) at itemviews/qsortfilterproxymodel.cpp:948
#7  0x00007f365b6f95c0 in source_items_removed (orient=Qt::Vertical, end=33, start=33, source_parent=..., this=<optimized out>) at itemviews/qsortfilterproxymodel.cpp:890
#8  QSortFilterProxyModelPrivate::source_items_removed (this=0x3d899f0, source_parent=..., start=33, end=<optimized out>, orient=Qt::Vertical) at itemviews/qsortfilterproxymodel.cpp:848
[...]
#10 0x00007f365a7e9c84 in QAbstractItemModel::rowsRemoved (this=<optimized out>, _t1=..., _t2=33, _t3=33) at .moc/release-shared/moc_qabstractitemmodel.cpp:211
#11 0x00007f365a783f0d in QAbstractItemModel::endRemoveRows (this=0x3d8ba50) at kernel/qabstractitemmodel.cpp:2487
Comment 12 caulier.gilles 2013-06-19 07:06:09 UTC
*** Bug 321342 has been marked as a duplicate of this bug. ***
Comment 13 caulier.gilles 2013-10-30 15:52:06 UTC
digiKam 3.5.0 is out.

Can you give a fresh feedback about your report ? Crash still reproducible ?

Thanks in advance

Gilles Caulier
Comment 14 Martin Tlustos 2013-11-04 09:20:00 UTC
I still have version 3.4.0, but the issue seems fixed. No crash here.
Comment 15 Jack Pommer 2013-11-10 21:04:41 UTC
Yes, the same thing happens when I try to delete or move a tag.  Just had
it happen while deleting a tag.  I'm waiting for DigiKam to reopen, then
I'll try to move a tag.

Here's the delete tag report:

Application: digikam (3.3.0)

KDE Platform Version: 4.11.1

Qt Version: 4.8.3

Operating System: Linux 3.5.0-36-generic x86_64

Distribution: Linux Mint 14 Nadia


-- Information about the crash:

- What I was doing when the application crashed: Deleting a tag after
having applied tags. If I open Digikam and immediately delete tags, it
works. If I then apply a tag to an image, then try to delete a tag, Digikam
crashes.


The crash can be reproduced sometimes.


-- Backtrace:

Application: digiKam (digikam), signal: Segmentation fault

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

[Current thread is 1 (Thread 0x7f192848ba00 (LWP 23760))]


Thread 10 (Thread 0x7f191eea9700 (LWP 23781)):

#0 pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162

#1 0x00007f194352507b in wait (time=18446744073709551615, this=0x160c890)
at thread/qwaitcondition_unix.cpp:86

#2 QWaitCondition::wait (this=<optimized out>, mutex=0x160c798,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158

#3 0x00000000005d1de1 in Digikam::ScanController::run (this=0x160c530) at
/build/buildd/digikam-3.3.0/core/digikam/database/scancontroller.cpp:725

#4 0x00007f1943524b1c in QThreadPrivate::start (arg=0x160c530) at
thread/qthread_unix.cpp:338

#5 0x00007f193db03e9a in start_thread (arg=0x7f191eea9700) at
pthread_create.c:308

#6 0x00007f194274dccd in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112

#7 0x0000000000000000 in ?? ()


Thread 9 (Thread 0x7f191e6a8700 (LWP 23782)):

#0 0x00007f193b103870 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#1 0x00007f193b105597 in g_main_context_prepare () from
/lib/x86_64-linux-gnu/libglib-2.0.so.0

#2 0x00007f193b105cab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#3 0x00007f193b105ea4 in g_main_context_iteration () from
/lib/x86_64-linux-gnu/libglib-2.0.so.0

#4 0x00007f194364fc46 in QEventDispatcherGlib::processEvents
(this=0x7f19100008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426

#5 0x00007f19436202ef in QEventLoop::processEvents
(this=this@entry=0x7f191e6a7b50,
flags=...) at kernel/qeventloop.cpp:149

#6 0x00007f1943620578 in QEventLoop::exec (this=0x7f191e6a7b50, flags=...)
at kernel/qeventloop.cpp:204

#7 0x00007f1943521b40 in QThread::exec (this=<optimized out>) at
thread/qthread.cpp:501

#8 0x00007f19436009df in QInotifyFileSystemWatcherEngine::run
(this=0x160f170) at io/qfilesystemwatcher_inotify.cpp:248

#9 0x00007f1943524b1c in QThreadPrivate::start (arg=0x160f170) at
thread/qthread_unix.cpp:338

#10 0x00007f193db03e9a in start_thread (arg=0x7f191e6a8700) at
pthread_create.c:308

#11 0x00007f194274dccd in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112

#12 0x0000000000000000 in ?? ()


Thread 8 (Thread 0x7f191dea7700 (LWP 31900)):

#0 pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162

#1 0x00007f194352507b in wait (time=18446744073709551615, this=0x18230e0)
at thread/qwaitcondition_unix.cpp:86

#2 QWaitCondition::wait (this=<optimized out>, mutex=0x1833e28,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158

#3 0x00007f19465788c9 in Digikam::ParkingThread::run (this=0x1833e10) at
/build/buildd/digikam-3.3.0/core/libs/threads/threadmanager.cpp:119

#4 0x00007f1943524b1c in QThreadPrivate::start (arg=0x1833e10) at
thread/qthread_unix.cpp:338

#5 0x00007f193db03e9a in start_thread (arg=0x7f191dea7700) at
pthread_create.c:308

#6 0x00007f194274dccd in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112

#7 0x0000000000000000 in ?? ()


Thread 7 (Thread 0x7f18d3fff700 (LWP 8140)):

#0 __pthread_mutex_lock (mutex=0x7f18b8012580) at pthread_mutex_lock.c:131

#1 0x00007f193b142e21 in g_mutex_lock () from
/lib/x86_64-linux-gnu/libglib-2.0.so.0

#2 0x00007f193b105897 in g_main_context_check () from
/lib/x86_64-linux-gnu/libglib-2.0.so.0

#3 0x00007f193b105d22 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#4 0x00007f193b105ea4 in g_main_context_iteration () from
/lib/x86_64-linux-gnu/libglib-2.0.so.0

#5 0x00007f194364fc46 in QEventDispatcherGlib::processEvents
(this=0x7f18b8012290, flags=...) at kernel/qeventdispatcher_glib.cpp:426

#6 0x00007f19436202ef in QEventLoop::processEvents
(this=this@entry=0x7f18d3ffeb20,
flags=...) at kernel/qeventloop.cpp:149

#7 0x00007f1943620578 in QEventLoop::exec (this=0x7f18d3ffeb20, flags=...)
at kernel/qeventloop.cpp:204

#8 0x00007f1946577f2b in Digikam::WorkerObjectRunnable::run
(this=0x5b3fb90) at
/build/buildd/digikam-3.3.0/core/libs/threads/threadmanager.cpp:196

#9 0x00007f194351848d in QThreadPoolThread::run (this=0x2cfd010) at
concurrent/qthreadpool.cpp:107

#10 0x00007f1943524b1c in QThreadPrivate::start (arg=0x2cfd010) at
thread/qthread_unix.cpp:338

#11 0x00007f193db03e9a in start_thread (arg=0x7f18d3fff700) at
pthread_create.c:308

#12 0x00007f194274dccd in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112

#13 0x0000000000000000 in ?? ()


Thread 6 (Thread 0x7f1906c62700 (LWP 8230)):

#0 __libc_enable_asynccancel () at
../nptl/sysdeps/unix/sysv/linux/x86_64/cancellation.S:72

#1 0x00007f19427422f8 in __GI___poll (fds=<optimized out>, nfds=<optimized
out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:85

#2 0x00007f193b105d84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#3 0x00007f193b105ea4 in g_main_context_iteration () from
/lib/x86_64-linux-gnu/libglib-2.0.so.0

#4 0x00007f194364fc46 in QEventDispatcherGlib::processEvents
(this=0x7f18dc2f8570, flags=...) at kernel/qeventdispatcher_glib.cpp:426

#5 0x00007f19436202ef in QEventLoop::processEvents
(this=this@entry=0x7f1906c61b20,
flags=...) at kernel/qeventloop.cpp:149

#6 0x00007f1943620578 in QEventLoop::exec (this=0x7f1906c61b20, flags=...)
at kernel/qeventloop.cpp:204

#7 0x00007f1946577f2b in Digikam::WorkerObjectRunnable::run
(this=0x7f18b80c3600) at
/build/buildd/digikam-3.3.0/core/libs/threads/threadmanager.cpp:196

#8 0x00007f194351848d in QThreadPoolThread::run (this=0x2cf8620) at
concurrent/qthreadpool.cpp:107

#9 0x00007f1943524b1c in QThreadPrivate::start (arg=0x2cf8620) at
thread/qthread_unix.cpp:338

#10 0x00007f193db03e9a in start_thread (arg=0x7f1906c62700) at
pthread_create.c:308

#11 0x00007f194274dccd in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112

#12 0x0000000000000000 in ?? ()


Thread 5 (Thread 0x7f1908c66700 (LWP 8231)):

#0 0x00007f19427408cd in read () at ../sysdeps/unix/syscall-template.S:82

#1 0x00007f193b14215f in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#2 0x00007f193b105914 in g_main_context_check () from
/lib/x86_64-linux-gnu/libglib-2.0.so.0

#3 0x00007f193b105d22 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#4 0x00007f193b105ea4 in g_main_context_iteration () from
/lib/x86_64-linux-gnu/libglib-2.0.so.0

#5 0x00007f194364fc46 in QEventDispatcherGlib::processEvents
(this=0x7f18ec023520, flags=...) at kernel/qeventdispatcher_glib.cpp:426

#6 0x00007f19436202ef in QEventLoop::processEvents
(this=this@entry=0x7f1908c65b20,
flags=...) at kernel/qeventloop.cpp:149

#7 0x00007f1943620578 in QEventLoop::exec (this=0x7f1908c65b20, flags=...)
at kernel/qeventloop.cpp:204

#8 0x00007f1946577f2b in Digikam::WorkerObjectRunnable::run
(this=0x7f18b85e5d50) at
/build/buildd/digikam-3.3.0/core/libs/threads/threadmanager.cpp:196

#9 0x00007f194351848d in QThreadPoolThread::run (this=0x2cf8a70) at
concurrent/qthreadpool.cpp:107

#10 0x00007f1943524b1c in QThreadPrivate::start (arg=0x2cf8a70) at
thread/qthread_unix.cpp:338

#11 0x00007f193db03e9a in start_thread (arg=0x7f1908c66700) at
pthread_create.c:308

#12 0x00007f194274dccd in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112

#13 0x0000000000000000 in ?? ()


Thread 4 (Thread 0x7f18fdd4f700 (LWP 8484)):

#0 0x00007f193b1038be in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#1 0x00007f193b105597 in g_main_context_prepare () from
/lib/x86_64-linux-gnu/libglib-2.0.so.0

#2 0x00007f193b105cab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#3 0x00007f193b105ea4 in g_main_context_iteration () from
/lib/x86_64-linux-gnu/libglib-2.0.so.0

#4 0x00007f194364fc46 in QEventDispatcherGlib::processEvents
(this=0x7f1894014b30, flags=...) at kernel/qeventdispatcher_glib.cpp:426

#5 0x00007f19436202ef in QEventLoop::processEvents
(this=this@entry=0x7f18fdd4eb20,
flags=...) at kernel/qeventloop.cpp:149

#6 0x00007f1943620578 in QEventLoop::exec (this=0x7f18fdd4eb20, flags=...)
at kernel/qeventloop.cpp:204

#7 0x00007f1946577f2b in Digikam::WorkerObjectRunnable::run
(this=0x7f18b85febf0) at
/build/buildd/digikam-3.3.0/core/libs/threads/threadmanager.cpp:196

#8 0x00007f194351848d in QThreadPoolThread::run (this=0x2cfa450) at
concurrent/qthreadpool.cpp:107

#9 0x00007f1943524b1c in QThreadPrivate::start (arg=0x2cfa450) at
thread/qthread_unix.cpp:338

#10 0x00007f193db03e9a in start_thread (arg=0x7f18fdd4f700) at
pthread_create.c:308

#11 0x00007f194274dccd in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112

#12 0x0000000000000000 in ?? ()


Thread 3 (Thread 0x7f18fd54e700 (LWP 8611)):

#0 0x00007f193b105cab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#1 0x00007f193b105ea4 in g_main_context_iteration () from
/lib/x86_64-linux-gnu/libglib-2.0.so.0

#2 0x00007f194364fc46 in QEventDispatcherGlib::processEvents
(this=0x7f18d8012620, flags=...) at kernel/qeventdispatcher_glib.cpp:426

#3 0x00007f19436202ef in QEventLoop::processEvents
(this=this@entry=0x7f18fd54db20,
flags=...) at kernel/qeventloop.cpp:149

#4 0x00007f1943620578 in QEventLoop::exec (this=0x7f18fd54db20, flags=...)
at kernel/qeventloop.cpp:204

#5 0x00007f1946577f2b in Digikam::WorkerObjectRunnable::run
(this=0x7f18b85fed30) at
/build/buildd/digikam-3.3.0/core/libs/threads/threadmanager.cpp:196

#6 0x00007f194351848d in QThreadPoolThread::run (this=0x2cf9bb0) at
concurrent/qthreadpool.cpp:107

#7 0x00007f1943524b1c in QThreadPrivate::start (arg=0x2cf9bb0) at
thread/qthread_unix.cpp:338

#8 0x00007f193db03e9a in start_thread (arg=0x7f18fd54e700) at
pthread_create.c:308

#9 0x00007f194274dccd in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112

#10 0x0000000000000000 in ?? ()


Thread 2 (Thread 0x7f18ff991700 (LWP 8405)):

#0 0x00007f193b10587b in g_main_context_check () from
/lib/x86_64-linux-gnu/libglib-2.0.so.0

#1 0x00007f193b105d22 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#2 0x00007f193b105ea4 in g_main_context_iteration () from
/lib/x86_64-linux-gnu/libglib-2.0.so.0

#3 0x00007f194364fc46 in QEventDispatcherGlib::processEvents
(this=0x7f185d2977d0, flags=...) at kernel/qeventdispatcher_glib.cpp:426

#4 0x00007f19436202ef in QEventLoop::processEvents
(this=this@entry=0x7f18ff990b20,
flags=...) at kernel/qeventloop.cpp:149

#5 0x00007f1943620578 in QEventLoop::exec (this=0x7f18ff990b20, flags=...)
at kernel/qeventloop.cpp:204

#6 0x00007f1946577f2b in Digikam::WorkerObjectRunnable::run
(this=0x1cd5190) at
/build/buildd/digikam-3.3.0/core/libs/threads/threadmanager.cpp:196

#7 0x00007f194351848d in QThreadPoolThread::run (this=0x2cfcbc0) at
concurrent/qthreadpool.cpp:107

#8 0x00007f1943524b1c in QThreadPrivate::start (arg=0x2cfcbc0) at
thread/qthread_unix.cpp:338

#9 0x00007f193db03e9a in start_thread (arg=0x7f18ff991700) at
pthread_create.c:308

#10 0x00007f194274dccd in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112

#11 0x0000000000000000 in ?? ()


Thread 1 (Thread 0x7f192848ba00 (LWP 23760)):

[KCrash Handler]

#6 QSortFilterProxyModelPrivate::updateChildrenMapping
(this=this@entry=0x230f0a0,
source_parent=..., parent_mapping=parent_mapping@entry=0x3148410,
orient=orient@entry=Qt::Vertical, start=start@entry=18, end=end@entry=18,
delta_item_count=delta_item_count@entry=1, remove=remove@entry=true) at
itemviews/qsortfilterproxymodel.cpp:948

#7 0x00007f19445935c0 in source_items_removed (orient=Qt::Vertical, end=18,
start=18, source_parent=..., this=<optimized out>) at
itemviews/qsortfilterproxymodel.cpp:890

#8 QSortFilterProxyModelPrivate::source_items_removed (this=0x230f0a0,
source_parent=..., start=18, end=<optimized out>, orient=Qt::Vertical) at
itemviews/qsortfilterproxymodel.cpp:848

#9 0x00007f1943636f8f in QMetaObject::activate (sender=0x2311a30,
m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff50df43a0)
at kernel/qobject.cpp:3547

#10 0x00007f1943680cb4 in QAbstractItemModel::rowsRemoved (this=<optimized
out>, _t1=..., _t2=18, _t3=18) at
.moc/release-shared/moc_qabstractitemmodel.cpp:211

#11 0x00007f194361af3d in QAbstractItemModel::endRemoveRows
(this=0x2311a30) at kernel/qabstractitemmodel.cpp:2487

#12 0x00007f194459658a in QSortFilterProxyModelPrivate::remove_source_items
(this=this@entry=0x2311a80, source_to_proxy=..., proxy_to_source=...,
source_items=..., source_parent=..., orient=orient@entry=Qt::Vertical,
emit_signal=emit_signal@entry=true) at
itemviews/qsortfilterproxymodel.cpp:539

#13 0x00007f1944597c6d in
QSortFilterProxyModelPrivate::source_items_about_to_be_removed
(this=0x2311a80, source_parent=..., start=19, end=19, orient=Qt::Vertical)
at itemviews/qsortfilterproxymodel.cpp:840

#14 0x00007f1943636f8f in QMetaObject::activate (sender=0x2309270,
m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff50df4690)
at kernel/qobject.cpp:3547

#15 0x00007f1943680c64 in QAbstractItemModel::rowsAboutToBeRemoved
(this=<optimized out>, _t1=..., _t2=19, _t3=19) at
.moc/release-shared/moc_qabstractitemmodel.cpp:204

#16 0x00007f1943618d36 in QAbstractItemModel::beginRemoveRows
(this=0x2309270, parent=..., first=19, last=19) at
kernel/qabstractitemmodel.cpp:2470

#17 0x0000000000574993 in
Digikam::AbstractAlbumModel::slotAlbumAboutToBeDeleted (this=0x2309270,
album=0x34ee6c0) at
/build/buildd/digikam-3.3.0/core/libs/models/abstractalbummodel.cpp:480

#18 0x00007f1943636f8f in QMetaObject::activate (sender=0x15d4430,
m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff50df4890)
at kernel/qobject.cpp:3547

#19 0x000000000059eb50 in
Digikam::AlbumManager::signalAlbumAboutToBeDeleted (this=this@entry=0x15d4430,
_t1=_t1@entry=0x34ee6c0) at
/build/buildd/digikam-3.3.0/obj-x86_64-linux-gnu/core/digikam/albummanager.moc:238

#20 0x00000000005a42ff in Digikam::AlbumManager::removeTAlbum
(this=this@entry=0x15d4430, album=album@entry=0x34ee6c0) at
/build/buildd/digikam-3.3.0/core/digikam/album/albummanager.cpp:2903

#21 0x00000000005a443e in Digikam::AlbumManager::deleteTAlbum
(this=0x15d4430, album=0x34ee6c0, errMsg=...) at
/build/buildd/digikam-3.3.0/core/digikam/album/albummanager.cpp:2350

#22 0x0000000000632aa1 in Digikam::TagModificationHelper::slotTagDelete
(this=0x23e8fe0, t=<optimized out>) at
/build/buildd/digikam-3.3.0/core/digikam/tags/tagmodificationhelper.cpp:264

#23 0x0000000000633060 in Digikam::TagModificationHelper::slotTagDelete
(this=<optimized out>) at
/build/buildd/digikam-3.3.0/core/digikam/tags/tagmodificationhelper.cpp:273

#24 0x00000000006338b5 in
Digikam::TagModificationHelper::qt_static_metacall (_o=<optimized out>,
_c=<optimized out>, _id=<optimized out>, _a=0x7fff50df4d80) at
/build/buildd/digikam-3.3.0/obj-x86_64-linux-gnu/core/digikam/tagmodificationhelper.moc:87

#25 0x00007f1943636f8f in QMetaObject::activate (sender=0x7b694b0,
m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff50df4d80)
at kernel/qobject.cpp:3547

#26 0x00007f1943fffa32 in QAction::triggered (this=this@entry=0x7b694b0,
_t1=false) at .moc/release-shared/moc_qaction.cpp:277

#27 0x00007f1943fffc20 in QAction::activate (this=0x7b694b0,
event=<optimized out>) at kernel/qaction.cpp:1257

#28 0x00007f194443e3d3 in QMenuPrivate::activateCausedStack
(this=this@entry=0x4d86f40,
causedStack=..., action=action@entry=0x7b694b0,
action_e=action_e@entry=QAction::Trigger,
self=self@entry=true) at widgets/qmenu.cpp:1028

#29 0x00007f19444446b9 in QMenuPrivate::activateAction (this=0x4d86f40,
action=0x7b694b0, action_e=QAction::Trigger, self=<optimized out>) at
widgets/qmenu.cpp:1120

#30 0x00007f1944dc46d0 in KMenu::mouseReleaseEvent (this=0x7fff50df65c0,
e=0x7fff50df5920) at ../../kdeui/widgets/kmenu.cpp:464

#31 0x00007f1944055850 in QWidget::event (this=0x7fff50df65c0,
event=0x7fff50df5920) at kernel/qwidget.cpp:8371

#32 0x00007f194444596b in QMenu::event (this=0x7fff50df65c0,
e=0x7fff50df5920) at widgets/qmenu.cpp:2469

#33 0x00007f1944005e9c in QApplicationPrivate::notify_helper
(this=this@entry=0x1373970, receiver=receiver@entry=0x7fff50df65c0,
e=e@entry=0x7fff50df5920) at kernel/qapplication.cpp:4562

#34 0x00007f194400ab6b in QApplication::notify (this=<optimized out>,
receiver=0x7fff50df65c0, e=0x7fff50df5920) at kernel/qapplication.cpp:4105

#35 0x00007f1944d0b906 in KApplication::notify (this=0x7fff50df8250,
receiver=0x7fff50df65c0, event=0x7fff50df5920) at
../../kdeui/kernel/kapplication.cpp:311

#36 0x00007f194362159e in QCoreApplication::notifyInternal
(this=0x7fff50df8250, receiver=0x7fff50df65c0, event=0x7fff50df5920) at
kernel/qcoreapplication.cpp:915

#37 0x00007f1944006cd3 in sendEvent (event=<optimized out>,
receiver=<optimized out>) at
../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231

#38 QApplicationPrivate::sendMouseEvent (receiver=0x7fff50df65c0,
event=0x7fff50df5920, alienWidget=0x0, nativeWidget=0x7fff50df65c0,
buttonDown=0x7f1944ae2308 <qt_button_down>, lastMouseReceiver=...,
spontaneous=true) at kernel/qapplication.cpp:3173

#39 0x00007f194408441c in QETWidget::translateMouseEvent
(this=this@entry=0x7fff50df65c0,
event=event@entry=0x7fff50df60a0) at kernel/qapplication_x11.cpp:4556

#40 0x00007f194408344f in QApplication::x11ProcessEvent
(this=0x7fff50df8250, event=0x7fff50df60a0) at
kernel/qapplication_x11.cpp:3737

#41 0x00007f19440aafa2 in x11EventSourceDispatch (s=0x1375870,
callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146

#42 0x00007f193b105ab5 in g_main_context_dispatch () from
/lib/x86_64-linux-gnu/libglib-2.0.so.0

#43 0x00007f193b105de8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#44 0x00007f193b105ea4 in g_main_context_iteration () from
/lib/x86_64-linux-gnu/libglib-2.0.so.0

#45 0x00007f194364fc26 in QEventDispatcherGlib::processEvents
(this=0x12d99f0, flags=...) at kernel/qeventdispatcher_glib.cpp:424

#46 0x00007f19440aac1e in QGuiEventDispatcherGlib::processEvents
(this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204

#47 0x00007f19436202ef in QEventLoop::processEvents
(this=this@entry=0x7fff50df6480,
flags=...) at kernel/qeventloop.cpp:149

#48 0x00007f1943620578 in QEventLoop::exec (this=0x7fff50df6480, flags=...)
at kernel/qeventloop.cpp:204

#49 0x00007f1944442395 in QMenu::exec (this=0x7fff50df65c0, p=...,
action=0x0) at widgets/qmenu.cpp:2113

#50 0x0000000000641d68 in Digikam::ContextMenuHelper::exec
(this=0x7fff50df6580, pos=..., at=<optimized out>) at
/build/buildd/digikam-3.3.0/core/digikam/utils/contextmenuhelper.cpp:1110

#51 0x00000000005c5fe5 in Digikam::AbstractAlbumTreeView::contextMenuEvent
(this=0x23e0cd0, event=<optimized out>) at
/build/buildd/digikam-3.3.0/core/digikam/album/albumtreeview.cpp:1048

#52 0x00007f194405559a in QWidget::event (this=0x23e0cd0,
event=0x7fff50df7120) at kernel/qwidget.cpp:8538

#53 0x00007f1944404b66 in QFrame::event (this=0x23e0cd0, e=0x7fff50df7120)
at widgets/qframe.cpp:557

#54 0x00007f194451059b in QAbstractItemView::viewportEvent (this=0x23e0cd0,
event=0x7fff50df7120) at itemviews/qabstractitemview.cpp:1644

#55 0x00007f1944554d81 in QTreeView::viewportEvent (this=0x23e0cd0,
event=0x7fff50df7120) at itemviews/qtreeview.cpp:1257

#56 0x00007f1943621706 in
QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<optimized
out>, receiver=0x23e1430, event=0x7fff50df7120) at
kernel/qcoreapplication.cpp:1025

#57 0x00007f1944005e6c in QApplicationPrivate::notify_helper
(this=this@entry=0x1373970, receiver=receiver@entry=0x23e1430,
e=e@entry=0x7fff50df7120)
at kernel/qapplication.cpp:4558

#58 0x00007f194400a875 in QApplication::notify (this=<optimized out>,
receiver=0x23e1430, e=0x7fff50df7120) at kernel/qapplication.cpp:4184

#59 0x00007f1944d0b906 in KApplication::notify (this=0x7fff50df8250,
receiver=0x23e1430, event=0x7fff50df7120) at
../../kdeui/kernel/kapplication.cpp:311

#60 0x00007f194362159e in QCoreApplication::notifyInternal
(this=0x7fff50df8250, receiver=0x23e1430, event=0x7fff50df7120) at
kernel/qcoreapplication.cpp:915

#61 0x00007f19440845b1 in sendSpontaneousEvent (event=0x7fff50df7120,
receiver=0x23e1430) at
../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234

#62 QETWidget::translateMouseEvent (this=this@entry=0x18349b0,
event=event@entry=0x7fff50df7870) at kernel/qapplication_x11.cpp:4627

#63 0x00007f194408344f in QApplication::x11ProcessEvent
(this=0x7fff50df8250, event=0x7fff50df7870) at
kernel/qapplication_x11.cpp:3737

#64 0x00007f19440aafa2 in x11EventSourceDispatch (s=0x1375870,
callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146

#65 0x00007f193b105ab5 in g_main_context_dispatch () from
/lib/x86_64-linux-gnu/libglib-2.0.so.0

#66 0x00007f193b105de8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#67 0x00007f193b105ea4 in g_main_context_iteration () from
/lib/x86_64-linux-gnu/libglib-2.0.so.0

#68 0x00007f194364fc46 in QEventDispatcherGlib::processEvents
(this=0x12d99f0, flags=...) at kernel/qeventdispatcher_glib.cpp:426

#69 0x00007f19440aac1e in QGuiEventDispatcherGlib::processEvents
(this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204

#70 0x00007f19436202ef in QEventLoop::processEvents
(this=this@entry=0x7fff50df7c40,
flags=...) at kernel/qeventloop.cpp:149

#71 0x00007f1943620578 in QEventLoop::exec (this=0x7fff50df7c40, flags=...)
at kernel/qeventloop.cpp:204

#72 0x00007f1943625738 in QCoreApplication::exec () at
kernel/qcoreapplication.cpp:1187

#73 0x000000000049270b in main (argc=1, argv=0x7fff50df8488) at
/build/buildd/digikam-3.3.0/core/digikam/main/main.cpp:235


Possible duplicates by query: bug 321342, bug 317545, bug 317440, bug
314152, bug 312372.


Report to https://bugs.kde.org/












On Wed, Oct 30, 2013 at 9:52 AM, Gilles Caulier <caulier.gilles@gmail.com>wrote:

> https://bugs.kde.org/show_bug.cgi?id=309061
>
> --- Comment #13 from Gilles Caulier <caulier.gilles@gmail.com> ---
> digiKam 3.5.0 is out.
>
> Can you give a fresh feedback about your report ? Crash still reproducible
> ?
>
> Thanks in advance
>
> Gilles Caulier
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
>